// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

abstract class TopBarComponent extends Component {
  const TopBarComponent({
    this.leading,
    this.actions,
    this.automaticallyImplyLeading,
    this.flexibleSpace,
    this.bottom,
    this.elevation,
    this.scrolledUnderElevation,
    this.shadowColor,
    this.surfaceTintColor,
    this.backgroundColor,
    this.iconTheme,
    this.primary,
    this.excludeHeaderSemantics,
    this.toolbarHeight,
    this.leadingWidth,
    this.systemOverlayStyle,
    this.shape,
    this.expandedWidget,
    super.key,
  });

  final Widget? leading;
  final List<Widget>? actions;
  final bool? automaticallyImplyLeading;
  final Widget? flexibleSpace;
  final PreferredSizeWidget? bottom;
  final double? elevation;
  final double? scrolledUnderElevation;
  final Color? shadowColor;
  final Color? surfaceTintColor;
  final MultiColor? backgroundColor;
  final IconThemeData? iconTheme;
  final bool? primary;
  final bool? excludeHeaderSemantics;
  final double? toolbarHeight;
  final double? leadingWidth;
  final SystemUiOverlayStyle? systemOverlayStyle;
  final ShapeBorder? shape;
  final List<Widget>? expandedWidget;
}
